OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
DecimateMesh.cpp File Reference
`#include "DecimateMesh.h"`
`#include <OMToolkit\IO\OMIO.h>`
`#include <OMToolkit\OMTypes.h>`
`#include <OpenMesh\Tools\Decimater\DecimaterT.hh>`
`#include <OpenMesh\Tools\Decimater\ModRoundnessT.hh>`
`#include <OpenMesh\Tools\Decimater\ModNormalFlippingT.hh>`
`#include <OpenMesh\Tools\Decimater\ModQuadricT.hh>`
`#include <OpenMesh\Tools\Decimater\ModIndependentSetsT.hh>`

## Typedefs
typedef OMToolkit::Types::ModuleMeshd | MeshT

## Functions
int | main (int argc, char *argv[])

## Variables
const std::string | MODULE_DESCRIPTION = "Module that decimates mesh data"
const std::string | MODULE_ARGUMENTS = "method:minR:maxE:maxND:vertices:collapses:indS"
const std::string | MODULE_ARG_METHOD = "method"
const std::string | MODULE_ARG_MINIMUM_R = "minR"
const std::string | MODULE_ARG_MAXIMUM_E = "maxE"
const std::string | MODULE_ARG_NORMAL_DEV = "maxND"
const std::string | MODULE_ARG_INDEPENDENT = "indS"
const std::string | MODULE_ARG_VERTICES = "vertices"
const std::string | MODULE_ARG_COLLAPSES = "collapses"
const std::string | ROUDNESS = "roundness"
const std::string | QUADRIC = "quadric"
const std::string | METHOD_DEFAULT = QUADRIC
const double | METRIC_DEFAULT = -1.0
const double | DEFAULT_PERCENT = 0.5
const int | NUM_VERTICES_DEFAULT = -1
const int | NUM_COLLAPSES_DEFAULT = -1
const bool | INDEPENDENT_SETS = false

## Detailed Description

OpenMesh Toolkit for mesh analysis
Copyright (c) 2010 by Rostislav Hulik

Author: Rostislav Hulik, ihuli.nosp@m.k@fi.nosp@m.t.vut.nosp@m.br.c.nosp@m.z
Date: 2010/10/25

Module description:

- Gets a mesh from input channel
- Proceedes with mesh decimation with metric given by input arguments
- Writes an output mesh into output channel

## Typedef Documentation

typedef OMToolkit::Types::ModuleMeshd MeshT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

const double DEFAULT_PERCENT = 0.5

const bool INDEPENDENT_SETS = false

const std::string METHOD_DEFAULT = QUADRIC

const double METRIC_DEFAULT = -1.0

const std::string MODULE_ARG_COLLAPSES = "collapses"

const std::string MODULE_ARG_INDEPENDENT = "indS"

const std::string MODULE_ARG_MAXIMUM_E = "maxE"

const std::string MODULE_ARG_METHOD = "method"

const std::string MODULE_ARG_MINIMUM_R = "minR"

const std::string MODULE_ARG_NORMAL_DEV = "maxND"

const std::string MODULE_ARG_VERTICES = "vertices"

const std::string MODULE_ARGUMENTS = "method:minR:maxE:maxND:vertices:collapses:indS"

const std::string MODULE_DESCRIPTION = "Module that decimates mesh data"

const int NUM_COLLAPSES_DEFAULT = -1

const int NUM_VERTICES_DEFAULT = -1

const std::string QUADRIC = "quadric"

const std::string ROUDNESS = "roundness"